package common

import "time"

//Visitor struct represents the customer who comes to the IT
type Visitor struct {
	Email       string `json:"email"`
	Name        string `json:"name"`
	FirstTicket int    `json:"first_ticket"`
}

//Staff struct represents a staff member who operates the queuing system
type Staff struct {
	Username string `json:"username"`
	Name     string `json:"name"`
	Email    string `json:"email"`
	Hash     string `json:"password"`
	Admin    bool   `json:"admin"`
}

//Ticket represents the item that visitors and staff interact with for each visit
type Ticket struct {
	ID    int       `json:"id"`
	Email string    `json:"email"`
	Name  string    `json:"name"`
	Staff string    `json:"staff"`
	Start time.Time `json:"start"`
	End   time.Time `json:"end"`
}

//Config Struct represents the structure that holds the entire app config
type Configuration struct {
	Debug    bool
	IP       int
	Database string
	Server   struct {
		SSL      bool
		CertFile string
		KeyFile  string
		Port     int
	}
	Redis struct {
		Addr    string
		Channel string
	}
	Mail struct {
		Host     string
		Port     int
		Username string
		Logo     string
	}
}
